Package edu.msu.cme.rdp.multicompare

# Class Main

java.lang.Object
edu.msu.cme.rdp.multicompare.Main

public class Main extends Object

## Constructor Summary

Constructors
Constructor
Description
`Main()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static void`
`printResults(edu.msu.cme.rdp.taxatree.ConcretRoot<MCTaxon> root, List<MCSample> samples, PrintStream heirOut, PrintStream bootstrapOut)`
`static Map<String,Integer>`
`readReplicateMapping(String file)`
`static Map<String,String>`
`readSampleMapping(String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Main

public Main()

## Method Details

### printResults

public static void printResults(edu.msu.cme.rdp.taxatree.ConcretRoot<MCTaxon> root, List<MCSample> samples, PrintStream heirOut, PrintStream bootstrapOut) throws IOException

Throws:
  `IOException`

### readSampleMapping

public static Map<String,String> readSampleMapping(String file) throws IOException

Throws:
  `IOException`

### readReplicateMapping

public static Map<String,Integer> readReplicateMapping(String file) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`